aboutsummaryrefslogtreecommitdiffstats
path: root/testsuites/stability/src/main/resources/apisetup
diff options
context:
space:
mode:
authorChenfei Gao <cgao@research.att.com>2019-07-29 23:03:37 -0400
committerChenfei Gao <cgao@research.att.com>2019-07-31 16:12:24 -0400
commit2cf1be9126ab508142f03f3a7be49045f5af75e8 (patch)
tree484576c511249f4580bf3a793320e2e8eb62fbf4 /testsuites/stability/src/main/resources/apisetup
parent5c97a052613935652c946f55e7c2ca9fe52c589f (diff)
Add policy api stability test
Add jmeter test plan for api stability test Add scripts and config files for setting up api docker Add scripts and config files for setting up other components Issue-ID: POLICY-1805 Change-Id: I103288fc4a4e97997cbf99a0af0cddec7d570416 Signed-off-by: Chenfei Gao <cgao@research.att.com>
Diffstat (limited to 'testsuites/stability/src/main/resources/apisetup')
-rw-r--r--testsuites/stability/src/main/resources/apisetup/config/api/bin/policy-api.sh42
-rw-r--r--testsuites/stability/src/main/resources/apisetup/config/api/etc/defaultConfig.json20
-rw-r--r--testsuites/stability/src/main/resources/apisetup/setup_api.sh34
3 files changed, 96 insertions, 0 deletions
diff --git a/testsuites/stability/src/main/resources/apisetup/config/api/bin/policy-api.sh b/testsuites/stability/src/main/resources/apisetup/config/api/bin/policy-api.sh
new file mode 100644
index 00000000..35463b45
--- /dev/null
+++ b/testsuites/stability/src/main/resources/apisetup/config/api/bin/policy-api.sh
@@ -0,0 +1,42 @@
+#!/bin/bash
+#
+# ============LICENSE_START=======================================================
+# Copyright (C) 2019 AT&T Intellectual Property. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#
+
+JAVA_HOME=/usr/lib/jvm/java-1.8-openjdk/
+POLICY_API_HOME=/opt/app/policy/api
+KEYSTORE="${POLICY_HOME}/etc/ssl/policy-keystore"
+KEYSTORE_PASSWD="Pol1cy_0nap"
+TRUSTSTORE="${POLICY_HOME}/etc/ssl/policy-truststore"
+TRUSTSTORE_PASSWD="Pol1cy_0nap"
+
+
+if [ "$#" -ge 1 ]; then
+ CONFIG_FILE=$1
+else
+ CONFIG_FILE=${CONFIG_FILE}
+fi
+
+if [ -z "$CONFIG_FILE" ]; then
+ CONFIG_FILE="$POLICY_API_HOME/etc/defaultConfig.json"
+fi
+
+echo "Policy api config file: $CONFIG_FILE"
+
+$JAVA_HOME/bin/java -cp "$POLICY_API_HOME/etc:$POLICY_API_HOME/lib/*" -Djavax.net.ssl.keyStore="$KEYSTORE" -Djavax.net.ssl.keyStorePassword="$KEYSTORE_PASSWD" -Djavax.net.ssl.trustStore="$TRUSTSTORE" -Djavax.net.ssl.trustStorePassword="$TRUSTSTORE_PASSWD" -Dcom.sun.management.jmxremote.rmi.port=9090 -Dcom.sun.management.jmxremote=true -Dcom.sun.management.jmxremote.port=9090 -Dcom.sun.management.jmxremote.ssl=false -Dcom.sun.management.jmxremote.authenticate=false -Dcom.sun.management.jmxremote.local.only=false -Djava.rmi.server.hostname=$API_HOST org.onap.policy.api.main.startstop.Main -c $CONFIG_FILE \ No newline at end of file
diff --git a/testsuites/stability/src/main/resources/apisetup/config/api/etc/defaultConfig.json b/testsuites/stability/src/main/resources/apisetup/config/api/etc/defaultConfig.json
new file mode 100644
index 00000000..70dbac36
--- /dev/null
+++ b/testsuites/stability/src/main/resources/apisetup/config/api/etc/defaultConfig.json
@@ -0,0 +1,20 @@
+{
+ "name": "ApiGroup",
+ "restServerParameters": {
+ "host": "0.0.0.0",
+ "port": 6969,
+ "userName": "healthcheck",
+ "password": "zb!XztG34",
+ "https": true,
+ "aaf": false
+ },
+ "databaseProviderParameters": {
+ "name": "PolicyProviderParameterGroup",
+ "implementation": "org.onap.policy.models.provider.impl.DatabasePolicyModelsProviderImpl",
+ "databaseDriver": "org.mariadb.jdbc.Driver",
+ "databaseUrl": "jdbc:mariadb://mariadb:3306/policyadmin",
+ "databaseUser": "policy_user",
+ "databasePassword": "cG9saWN5X3VzZXI=",
+ "persistenceUnit": "PolicyMariaDb"
+ }
+} \ No newline at end of file
diff --git a/testsuites/stability/src/main/resources/apisetup/setup_api.sh b/testsuites/stability/src/main/resources/apisetup/setup_api.sh
new file mode 100644
index 00000000..3d50501f
--- /dev/null
+++ b/testsuites/stability/src/main/resources/apisetup/setup_api.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+# ============LICENSE_START=======================================================
+# Copyright (C) 2019 AT&T Intellectual Property. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+# the directory of the script
+DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+echo ${DIR}
+
+if [ "$#" -lt 2 ]; then
+ echo "API and MariaDB IPs should be passed as two parameters. API IP goes first."
+ exit 1
+else
+ API=$1
+ echo "API IP: ${API}"
+ MARIADB=$2
+ echo "MariaDB IP: ${MARIADB}"
+fi
+
+docker run -p 9090:9090 -p 6969:6969 -e "API_HOST=${API}" -v ${DIR}/config/api/bin/policy-api.sh:/opt/app/policy/api/bin/policy-api.sh -v ${DIR}/config/api/etc/defaultConfig.json:/opt/app/policy/api/etc/defaultConfig.json --add-host mariadb:${MARIADB} --name policy-api -d --rm nexus3.onap.org:10001/onap/policy-api:2.1.1-SNAPSHOT \ No newline at end of file